pnp4nagios (0.6.26-1) UNRELEASED; urgency=medium

  * 0.6.26

 -- Mario Fetka <mario.fetka@gmail.com>  Fri, 20 Oct 2017 17:15:49 +0200

pnp4nagios (0.6.25-1) UNRELEASED; urgency=medium

  * Bump to new upstream verison

 -- Mario Fetka <mario.fetka@gmail.com>  Sat, 20 May 2017 17:29:18 +0200

pnp4nagios (0.6.24+dfsg1-4~bpo80+1) jessie-backports; urgency=medium

  * Backport to jessie-backports.
  * Add myself to Uploaders.

 -- Micah Anderson <micah@debian.org>  Tue, 08 Dec 2015 13:39:31 -0500

pnp4nagios (0.6.24+dfsg1-4) unstable; urgency=medium

  [ Peter Michael Green ]
  * [d7b0b89] Fix FTBFS on arm64 due to outdated config.sub/guess
    (Closes: #774047)

  [ Markus Frosch ]
  * [c672afa] Fix use of hardening flags with a patch

 -- Markus Frosch <lazyfrosch@debian.org>  Wed, 01 Jul 2015 20:07:30 +0200

pnp4nagios (0.6.24+dfsg1-3) unstable; urgency=medium

  * [8021d79] Do JS minification with Python's jsmin (Closes: #769696)

 -- Markus Frosch <lazyfrosch@debian.org>  Sat, 27 Dec 2014 22:37:09 +0100

pnp4nagios (0.6.24+dfsg1-2) unstable; urgency=medium

  * [36db791] Fix and clarify package descriptions

 -- Markus Frosch <lazyfrosch@debian.org>  Mon, 27 Oct 2014 14:30:17 +0100

pnp4nagios (0.6.24+dfsg1-1) unstable; urgency=medium

  [ Sebastian Harl ]
  * [48a705e9] Merged branch 'configsplit'.
  * [bfcb36ca] README.Debian: Replaced c&p'ed Nagios with Icinga.
  * [91a75610] README.Debian: Fixed typo (icingacfg → icinga.cfg).
  * [9f1e4167] README.Debian: Improved typesetting a bit ;-)
  * [a7f12f2d] README.Debian: Fixed typo (nagios → nagios3).
    Also, made the document a bit more "DAU"-proof ;-)
  * [009534c4] npcdmod.cfg: Fixed a few typos and improved wording.

  [ Bernd Zeimetz ]
  * [832a9632] Refreshing patches.

  [ Markus Frosch ]
  * [14693ff] Replace Sven Velt with Markus Frosch as secondary uploader
              (Closes: #739098)
  * [f2f01d4] Initial upstream branch
  * [29d5377] Imported Upstream version 0.6.21
  * [d4a4cdb] DFSG cleaned upstream version 0.6.21+dfsg1
              (Closes: #737457) (Closes: #753457)
  * [82701a7] Removed GBP config, we imported the tarball into GIT
  * [45e91cc] Changes for the DFSG tarball, JQuery depends, links and cleanup
  * [36ab52d] Switch to source format 3.0 (quilt)
  * [fafe97f] Update watch file for DFSG versions
  * [318fa21] Remove potential flattr code from documentation
  * [913caf2] Control, Lintian and Standards Cleanup
  * [28272e9] Add missing dependencies of config packages and fix arch
  * [ce4e5ae] Modernize and split Apache configuration (Closes: #669839)
  * [a79e4af] Prefer Icinga over Nagios3
  * [cb1832a] Fill config packages
  * [2a2c4f6] Modernize rules
  * [0a244f8] Update copyright
  * [311c9c5] Include default build flags
  * [c37bcc4] Fix Apache configuration handling
  * [a65f63a] Revert "DFSG cleaned upstream version 0.6.21+dfsg1"
  * [b542e4a] Imported Upstream version 0.6.24
  * [b920288] DFSG cleaned upstream version 0.6.24+dfsg1
  * [b87ba16] Update patch privacy-warning for 0.6.24
  * [eed3190] Add patch install_opts to avoid setting owners on dh_auto_install
  * [46e24b7] Update README.Debian
  * [7f49d88] Bump Standards version

 -- Markus Frosch <lazyfrosch@debian.org>  Sun, 26 Oct 2014 16:02:13 +0100

pnp4nagios (0.6.19-1) experimental; urgency=low

  * New upstream release; thanks to Christoph Anton Mitterer for reporting
    this (Closes: #682175).
  * Uploading to experimental because of the Wheezy freeze.
  * debian/pnp4nagios.postrm:
    - Fixed typo: Apache's config files use file suffix .conf rather than
      .cfg; this prevented /etc/apache2/conf.d/pnp4nagios.conf from being
      removed on remove/purge; thanks to Andreas Beckmann for reporting this
      (cf. #669839).
  * debian/control:
    - Optionally depend on php5-cgi instead of libapache2-mod-php5 to allow
      for easier installations when not using Apache; thanks to Matthias
      Wamser for reporting this (Closes: #671231).
    - Updated standards-version to 3.9.4 -- no changes.
    - Let pnp4nagios-bin suggest rrdtool which is used by the rrd_convert
      helper script; thanks to Christoph Anton Mitterer for suggesting this
      (cf. #684420).
  * debian/patches:
    - fix-npcd-path updated for 0.6.19.
    - Added format-security; fixing a missing printf-style format argument.
  * debian/rules:
    - Manually clean-up auto-generated scripts/rrd_modify.pl.
    - Use dpkg-buildflags to determine CPPFLAGS/CFLAGS.
  * debian/icinga-module.cfg, debian/rules:
    - Provide a sample Icinga module configuration; thanks to Christoph Anton
      Mitterer for providing this (Closes: #683459).
  * debian/nagios.cfg:
    - Unified whitespacing; thanks to Christoph Anton Mitterer for the patch
      (Closes: #683471).
  * debian/pnp4nagios-bin.postinst:
    - Don't use world-readable permissions for process_perfdata.cfg as this
      would allow local users to read the Gearman shared key; thanks to
      Christoph Anton Mitterer for reporting this; fixes CVE-2012-3457
      (Closes: #683879).

 -- Sebastian Harl <tokkee@debian.org>  Thu, 24 Jan 2013 16:30:51 +0100

pnp4nagios (0.6.16-2) unstable; urgency=low

  * debian/control:
    - Adapted versioned build-dep on libjs-jquery-ui to the workaround used by
      that package (1.8.14 -> 1.8.ooops.14). Thanks to Christoph Anton
      Mitterer for reporting this (Closes: #683100).
  * debian/patches/:
    - adjust-template-path: Fixed the patch for empty templates.d and some
      versions of glob() which in this case returns nothing resulting in PHP
      syntax errors and a crash of PNP4Nagios; thanks to Christoph Anton
      Mitterer for reporting this and pointing out a fix (Closes: #683138).

 -- Sebastian Harl <tokkee@debian.org>  Sat, 24 Nov 2012 15:34:54 +0100

pnp4nagios (0.6.16-1) unstable; urgency=low

  * New upstream version.
  * debian/control:
    - Depend on jQuery >= 1.6.2 and jQuery-ui >= 1.8.14 (rather than
      unversioned dependencies); this is what upstream did as well.
  * debian/rules:
    - Added recommended targets build-{arch,indep} depending on build-stamp.
  * debian/pnp4nagios-bin.install:
    - Install verify_pnp_config_v2.pl to /u/l/pnp4nagios/libexec/.
  * debian/pnp4nagios-web.postinst:
    - Call a2mod / restart apache2 only if the binaries are available; thanks
      to Wouter Schoot for reporting this (Closes: #636218).
  * debian/po/:
    - Added Spanish debconf translations; thanks to Camaleón for providing
      those (Closes: #632953).
    - Added Portuguese debconf translations; thanks to Pedro Ribeiro for
      providing those (Closes: #651432).
    - Added Dutch debconf translations; thanks to Jeroen Schot for providing
      those (Closes: #654214).
    - Added Danish debconf translations; thanks to Joe Dalton for providing
      those (Closes: #654816).
    - Added Czech debconf translations; thanks to Michal Šimůnek for providing
      those (Closes: #655132).
  * debian/README.Debian:
    - Added a note about installation with Icinga referring to the different
      htpasswd.users file location; thanks to Alexander Reichle-Schmehl for
      reporting this (Closes: #646587).
  * debian/patches/adjust-template-path:
    - Added support for /etc/pnp4nagios/templates.d.
  * debian/README.templates.d:
    - Added README file for the use of /etc/pnp4nagios/templates.d. The file
      will be installed to that directory.

 -- Sebastian Harl <tokkee@debian.org>  Tue, 31 Jan 2012 14:00:47 +0100

pnp4nagios (0.6.13-1) unstable; urgency=low

  * New upstream release.
  * debian/README.Debian:
    - Added more verbose instructions about how to setup mod_gearman mode.
  * debian/patches/:
    - Removed manpage-hyphen -- applied upstream.
  * debian/rules:
    - Don't remove scripts/rc.pnp_gearman_worker in 'clean' -- this is now
      taken care of in the upstream Makefile.
  * debian/po/:
    - Added Japanese debconf translation; thanks to Hideki Yamane for
      providing the translation (Closes: #626386).
    - Added Swedish debconf translation; thanks to Martin Bagge for providing
      the translation (Closes: #628926).
  * debian/control:
    - Updated standards-version to 3.9.2 -- no changes.

 -- Sebastian Harl <tokkee@debian.org>  Wed, 22 Jun 2011 12:42:18 +0200

pnp4nagios (0.6.12-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/:
    - Removed raise-process-perfdata-timeout -- a similar patch has been
      included upstream.
    - Added manpage-hyphen -- do not use hyphens as minus sign in npcd.8.
  * debian/rules:
    - npcd.cfg and process_perfdata.cfg are not longer installed as sample
      configs by the upstream Makefile; so, don't rename those files.
    - Do not pass --prefix to configure and set man-/infodir correctly. The
      prefix is set by layout=debian and cannot be overwritten, thus do not
      pretend this is possible. Also, do not use $prefix when setting man-/
      infodir but specify the complete path.
    - Do not install config_local.php and config.php.$PKG_VERSION.
    - Remove generated scripts/rc.pnp_gearman_worker in 'clean'.
  * debian/rules, debian/pnp4nagios-bin.install:
    - Do not install npcd.8 using dh_installman; this is done by the upstream
      Makefile now.
  * debian/pnp4nagios-bin.pnp_gearman_worker.default,
    pnp4nagios-bin.pnp_gearman_worker.init:
    - Added init script for the PNP4Nagios Gearman worker daemon.
    - The daemon is disabled by default.

 -- Sebastian Harl <tokkee@debian.org>  Wed, 27 Apr 2011 09:05:48 +0200

pnp4nagios (0.6.11-2) unstable; urgency=low

  * debian/po/:
    - Added French debconf translation; thanks to Christian Perrier for
      providing the translation (Closes: #623181).
    - Added German debconf translation.
    - Added Russian debconf translation; thanks to Yuri Kozlov for providing
      the translation (Closes: #623798).
  * debian/pnp4nagios-web.postinst:
    - Do not set permissions of /var/log/pnp4nagios/stats -- this is done in
      pnp4nagios-bin.postinst which ships the directory. This fixes an error
      when installing -web without -bin.

 -- Sebastian Harl <tokkee@debian.org>  Tue, 26 Apr 2011 11:48:54 +0200

pnp4nagios (0.6.11-1) unstable; urgency=low

  [ Sven Velt ]
  * Initial release (Closes: #479031)
  * Use "php-fpdf", "php-fpdf-tpl" and "php-fpdi" packages instead of bundled
    copies.
  * Do not use the bundled copy of Kohana2 but rather depend on
    libkohana2-php.
  * Ship all configuration in /etc and create appropriate symlinks.
  * Ship upstream sample configs as default configs.
  * debian/patches:
    - Added adjust-template-path: install templates into /etc/ rather than
      /usr/share/.
    - Added apache-fix-path-to-userfile: fix config directory in the sample
      httpd.conf.
    - Added fix-nagios-url: fix cgi-bin path in config.php.
    - Added fix-npcd-path: fix perfdata paths in npcd.cfg.
    - Added fix-path-fpdi: FPDI is shipped in its own subdirectory -- adopt
      path in pdf.php.
    - Added raise-process-perfdata-timeout: set timeout to 10s in
      process_perfdata.cfg; in large and/or virtualized setups, 5s might not
      be enough.

  [ Sebastian Harl ]
  * Build the following binary packages:
    - pnp4nagios-bin: NPCD and process_perfdata.pl
    - pnp4nagios-web: web interface
    - pnp4nagios: metapackage depending on the other two
  * debian/watch: mangle upstream version to replace ".rc" with "~rc".
  * Make Apache2 configuration optional using debconf.

 -- Sebastian Harl <tokkee@debian.org>  Mon, 14 Feb 2011 13:15:46 +0100
